/*********************************************************
 * 프로그램명 : Stopwatch.java 프로그램설명 : 날짜 관련 util로서 날짜 더하기 작 성 자 : 강 원 중 작 성 일 : 2002. 5.27 최신변경일 : 2003. 5.22
 *********************************************************/
package kr.co.kihyun.util;

import java.util.*;

public class Stopwatch {
	Calendar cr = Calendar.getInstance();
	int sYear, sMonth, sDate, sHour, sMinute, sSecond, sMillisecond;
	int cYear, cMonth, cDate, cHour, cMinute, cSecond, cMillisecond;

	public long start() {
		/********** 현재 년, 월, 일 **********/
		return System.currentTimeMillis();
	}

	public String stop(long startTime) {
		/********** 현재 년, 월, 일 **********/
		cr = Calendar.getInstance();

		long endTime = System.currentTimeMillis();

		cr.setTime(new Date(endTime - startTime));
		cYear = cr.get(Calendar.YEAR);
		cMonth = cr.get(Calendar.MONTH);
		cDate = cr.get(Calendar.DATE);
		cHour = cr.get(Calendar.HOUR_OF_DAY);
		cMinute = cr.get(Calendar.MINUTE);
		cSecond = cr.get(Calendar.SECOND);
		cMillisecond = cr.get(Calendar.MILLISECOND);

		return (cHour - 9) + ":" + cMinute + ":" + cSecond + ":" + cMillisecond;
	}
}
